For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
              • GETGet Invoice Detail
              • PUTUpdate Invoice
              • DELDelete Invoice
              • GETList Invoices
              • POSTCreate Invoice
              • POSTCreate Invoice from Order
              • GETDownload Invoice PDF
              • GETGet Invoice Extra Field Configs
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementInvoice ManagementInvoice

List Invoices

GET
https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices
GET
/api/v3/io/ip/invoices
$curl https://api-b2b.bigcommerce.com/api/v3/io/ip/invoices \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "code": 200,
3 "data": [
4 {
5 "customerId": "CUST-78945",
6 "originalBalance": {
7 "code": "USD",
8 "value": "1650.00"
9 },
10 "openBalance": {
11 "code": "USD",
12 "value": "500.00"
13 },
14 "id": 10234,
15 "externalCustomerId": "EXT-COMP-456",
16 "externalId": "INV-EXT-2024-001",
17 "invoiceNumber": "INV-2024-000123",
18 "type": "Standard",
19 "dueDate": 1711929600,
20 "status": 1,
21 "orderNumber": "ORD-54321",
22 "purchaseOrderNumber": "PO-98765",
23 "details": {
24 "type": "InvoiceDetails",
25 "header": {
26 "costLines": [
27 {
28 "amount": {
29 "code": "USD",
30 "value": "1500.00"
31 },
32 "description": "Product subtotal"
33 },
34 {
35 "amount": {
36 "code": "USD",
37 "value": "150.00"
38 },
39 "description": "Shipping fee"
40 }
41 ],
42 "orderDate": 1711344000,
43 "billingAddress": {
44 "city": "Austin",
45 "state": "TX",
46 "country": "USA",
47 "street1": "123 Commerce St",
48 "street2": "Suite 400",
49 "zipCode": "78701",
50 "lastName": "Johnson",
51 "firstName": "Emily",
52 "customFields": {
53 "key": "TaxID",
54 "value": "TX123456789"
55 }
56 },
57 "shippingAddresses": [
58 {
59 "city": "Austin",
60 "state": "TX",
61 "country": "USA",
62 "street1": "456 Warehouse Rd",
63 "street2": "Dock 3",
64 "zipCode": "78702",
65 "lastName": "Johnson",
66 "firstName": "Emily",
67 "customFields": {
68 "key": "DeliveryInstructions",
69 "value": "Leave at loading dock"
70 }
71 }
72 ],
73 "customerFields": {
74 "key": "AccountManager",
75 "value": "Michael Smith"
76 }
77 },
78 "details": {
79 "lineItems": [
80 {
81 "sku": "PROD-001",
82 "type": "Physical",
83 "comments": "Fragile item",
84 "quantity": "10",
85 "unitPrice": {
86 "code": "USD",
87 "value": "150.00"
88 },
89 "description": "Wireless Keyboard",
90 "unitDiscount": {
91 "code": "USD",
92 "value": "15.00"
93 },
94 "customFields": {
95 "key": "Warranty",
96 "value": "2 years"
97 }
98 },
99 {
100 "sku": "PROD-002",
101 "type": "Physical",
102 "comments": "Includes batteries",
103 "quantity": "5",
104 "unitPrice": {
105 "code": "USD",
106 "value": "200.00"
107 },
108 "description": "Wireless Mouse",
109 "unitDiscount": {
110 "code": "USD",
111 "value": "20.00"
112 },
113 "customFields": {
114 "key": "Color",
115 "value": "Black"
116 }
117 }
118 ],
119 "shipments": [
120 {
121 "addressIndex": "0",
122 "shipDate": "2024-04-01T10:00:00Z",
123 "shipVia": "FedEx Ground",
124 "trackingNumber": "1234567890FEDX",
125 "comments": "Handle with care",
126 "customFields": {
127 "key": "ShipmentType",
128 "value": "Standard"
129 }
130 }
131 ]
132 }
133 },
134 "isPendingPayment": 0,
135 "source": 0,
136 "customerName": "Acme Corporation",
137 "createdAt": "2024-03-25T15:30:00Z",
138 "updatedAt": "2024-03-28T12:00:00Z",
139 "channelId": "CH-1001",
140 "channelName": "Online Store",
141 "termsConditions": "Payment due within 30 days. Late payments subject to 5% fee.",
142 "extraFields": [
143 {
144 "fieldName": "CustomNote",
145 "fieldValue": "Priority customer"
146 }
147 ]
148 }
149 ],
150 "meta": {
151 "message": "Invoices retrieved successfully",
152 "pagination": {
153 "totalCount": 1,
154 "limit": 10,
155 "offset": 0
156 }
157 }
158}
get invoices
Was this page helpful?
Previous

Delete Invoice

Next

Create Invoice

Built with

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Query parameters

offsetdoubleOptional
limitdoubleOptional
orderByenumOptional
"DESC" or "ASC"
Allowed values:
sortByenumOptional
Sort by the field value
searchByenumOptional
Filter by a field
qstringOptional
You can perform keyword queries on fields corresponding to the value of "searchBy" or, if "searchBy" is empty, on all fields supported by "searchBy".
customerNamestringOptional
Query by invoice B2B Edition company name
customerIdstringOptional
Query by invoice B2B Edition company ID
statusenumOptional
Query by invoice status
Allowed values:
beginDateAtstringOptional
Query by the created timestamp, along with the "endDateAt" parameter
endDateAtstringOptional
Query by the created timestamp, along with the with the "beginDateAt" parameter
externalId[]list of doublesOptional
Query by the invoice external ID
isIncludeExtraFieldsenumOptional
Determine if extra fields should show in the response
Allowed values:
channelIdslist of doublesOptional
BigCommerce Channel IDs

Response

OK
codedouble
datalist of objects
metaobject
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.